close all
clear all
clc

% Plot two objective functions on the same axis
x = -10:0.5:10;
f1 = (x+2).^2 - 10;
f2 = (x-2).^2 + 20;
plot(x,f1);
hold on;
plot(x,f2,'r');
grid on;
title('Plot of objectives ''(x+2)^2 - 10'' and ''(x-2)^2 + 20''');



FitnessFunction = @simple_multiobjective;
numberOfVariables = 1;
[x,fval] = gamultiobj(FitnessFunction,numberOfVariables);


fprintf('\nRESULTS\n');
fprintf('x\t\t\tfval\n');
for i = 1 : size(x,1)
    fprintf([num2str(x(i)), '\t\t\t', num2str(fval(i)), '\n']);
end